## ros-foxy-wiimote 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(wiimote)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_library(BLUETOOTH_LIB bluetooth)
if(BLUETOOTH_LIB)
  message(STATUS "Found bluetooth library.")
else()
  message(FATAL_ERROR "bluetooth library not found.")
endif()

find_library(CWIID_LIB cwiid)
if(CWIID_LIB)
  message(STATUS "Found cwiid library.")
else()
  message(FATAL_ERROR "cwiid library not found.")
endif()


find_package(ament_cmake REQUIRED)
find_package(ament_cmake_auto REQUIRED)

ament_auto_find_build_dependencies(
  REQUIRED
  rclcpp
  rclcpp_components
  rclcpp_lifecycle
  sensor_msgs
  std_srvs
  wiimote_msgs
)

## C++ Wiimote Lib
set(wiimote_lib_HEADERS
  include/wiimote/wiimote_controller.hpp
  include/wiimote/stat_vector_3d.hpp)

set(wiimote_lib_SOURCES
  src/wiimote_controller.cpp
  src/stat_vector_3d.cpp)

ament_auto_add_library(wiimote_lib SHARED ${wiimote_lib_HEADERS} ${wiimote_lib_SOURCES})
target_link_libraries(wiimote_lib bluetooth cwiid)

rclcpp_components_register_node(
  wiimote_lib
  PLUGIN "WiimoteNode"
  EXECUTABLE wiimote_node
)
## End C++ Wiimote Lib

# C++ Teleop for Wiimote Node: Declare cpp executables
set(teleop_wiimote_HEADERS include/wiimote/teleop_wiimote.hpp)
set(teleop_wiimote_SOURCES src/teleop_wiimote.cpp)
ament_auto_add_library(teleop_wiimote SHARED ${teleop_wiimote_HEADERS} ${teleop_wiimote_SOURCES})

rclcpp_components_register_node(
  teleop_wiimote
  PLUGIN "TeleopWiimote"
  EXECUTABLE teleop_wiimote_node
)
# End C++ Teleop for Wiimote Node

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# Install lib
install(TARGETS wiimote_lib teleop_wiimote
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)
install(DIRECTORY include/ DESTINATION include)

# Install launch and config files
install(DIRECTORY launch config
  DESTINATION share/${PROJECT_NAME})

# Install Executables
install(TARGETS wiimote_node
  DESTINATION lib/${PROJECT_NAME})

install(PROGRAMS nodes/feedback_tester.py
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-wiimote (3.0.1-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jan 2022 00:00:00 -0000

ros-foxy-wiimote (3.0.0-1focal) focal; urgency=high

  * Fix a warning while building wiimote_controller.cpp (#201 <https://github.com/ros-drivers/joystick_drivers/issues/201>)
  * fix compile error caused by missing include (#197 <https://github.com/ros-drivers/joystick_drivers/issues/197>)
  * Port over Wiimote to ROS2 Foxy (#175 <https://github.com/ros-drivers/joystick_drivers/issues/175>)
  * Contributors: Chris Lalancette, Kuni Natsuki, Kurt Wilson

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 12 Mar 2021 00:00:00 -0000

ros-foxy-wiimote (1.13.0-1focal) focal; urgency=high

  * Merge pull request #132 <https://github.com/ros-drivers/joystick_drivers/issues/132> from mistoll/clean_exit
  * return instead of shutdown
  * Merge pull request #128 <https://github.com/ros-drivers/joystick_drivers/issues/128> from ros-drivers/fix/tab_errors
  * Cleaning up Python indentation.
  * Merge pull request #125 <https://github.com/ros-drivers/joystick_drivers/issues/125> from mistoll/check_connection
  * Check if wiimote is still connected.
  * Merge pull request #123 <https://github.com/ros-drivers/joystick_drivers/issues/123> from cclauss/modernize-python2-code
  * Modernize Python 2 code to get ready for Python 3
  * Merge branch 'master' into indigo-devel
  * Contributors: Joshua Whitley, Matthew, Michael Stoll, cclauss

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-foxy-wiimote (1.12.0-1focal) focal; urgency=high

  * Addressed numerous outstanding PRs.
  * Fixed issue when nunchuk wasn't connected
  * Update README.md
  * Added testing proceedures for wiimote
  * Resolved div-by-zero error race condition on startup.
  * Added testing proceedures for wiimote
  * Fixed issue when nunchuk wasn't connected
  * Changed package xml to format 2
  * Added wiimote testing script
  * Add pairing params to wiimote_node
    * bluetooth_addr
    * pair_timeout
  * Contributors: Jonathan Bohren, Matt Vollrath, jprod123, psimona

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-foxy-wiimote (1.11.0-1focal) focal; urgency=high

  * Sample Teleop Implementation for Wiimote
  * C++ Implementation of Wiimote Controller Node
  * Add queue_size to remove ROS Warning
  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-foxy-wiimote (1.10.1-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-foxy-wiimote (1.10.0-1focal) focal; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-wiimote
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), libbluetooth-dev, libcwiid-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-auto, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-wiimote-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/wiimote
Standards-Version: 3.9.2

Package: ros-foxy-wiimote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbluetooth3, libcwiid1, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-wiimote-msgs, ros-foxy-ros-workspace
Description: The wiimote package allows ROS nodes to communicate with a Nintendo Wiimote and its related peripherals, including the Nunchuk, Motion Plus, and (experimentally) the Classic.
 The package implements a ROS node that uses Bluetooth to communicate with the Wiimote device, obtaining accelerometer and gyro data, the state of LEDs, the IR camera, rumble (vibrator), buttons, joystick, and battery state. The node additionally enables ROS nodes to control the Wiimote's LEDs and vibration for feedback to the human Wiimote operator. LEDs and vibration may be switched on and off, or made to operate according to a timed pattern.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-wiimote//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
